# AI Studio Generator

# Overview
Embrace the excellence of studio kike AI Portrait Generator. Transform your selfie into a studio-quality portrait in a flash​.
* Studio-Free Convenience: No need for a photographer or studio visits—create studio-quality artistic photos anytime, anywhere​
* Quick Photo Transformation: Fast processing for instant high-quality artistic photo results, ideal for quick updates
* High-Quality Artistic Output: Delivers professional-standard artistic photos with clear details, perfect lighting, just like you've taken the photos in a studio 

Use cases:
![AI Studio Generator](https://bcw-media.s3.ap-northeast-1.amazonaws.com/yce_web_AI_studio_S1_img_19b627b6af.jpg "AI Studio Generator")

![AI Studio Generator](https://bcw-media.s3.ap-northeast-1.amazonaws.com/yce_web_AI_studio_S2_img_01_2e318817e9.jpg "AI Studio Generator")


Suggestions for How to Shoot:
![Suggestions for How to Shoot](https://bcw-media.s3.ap-northeast-1.amazonaws.com/AI_Hair_Extension_recommendation_ba24bd5d92.png "Suggestions for How to Shoot")

* Supported Formats & Dimensions

|AI Feature|Supported Dimensions|Supported File Size|Supported Formats|
|  ----  | ----  | ----  | ----  |
|AI Studio|Please ensure the input image has one face, a short side of at least 200 pixels, and a long side no greater than 1920 pixels; the engine will select the largest face if multiple are present, and the output resolution will not exceed 960×1280 (W×H)|< 10MB|jpg/jpeg/png|

* Error Codes

|Error Code|Description|
|  ----  | ----  |
|error_below_min_image_size	|Input image resolution is too small|
|error_exceed_max_image_size	|Input image resolution is too large|


License: Privacy policy

## Servers

```
https://yce-api-01.makeupar.com
```

## Security

### BearerAuthenticationV2

Use the standard 'Bearer authentication'. Put your 'API Key' in header: `Authorization:Bearer YOUR_API_KEY`. Notice that there is ' ' a space between 'Bearer' and the 'YOUR_API_KEY'.

Type: http
Scheme: bearer

## Download OpenAPI description

[AI Studio Generator](https://docs.perfectcorp.com/_bundle/reference/ai_studio_generator.yaml)

## V3.0

AI Studio Generator API allows you to generate studio-style images from a source image using predefined templates and output count settings.

### Create a new file.

 - [POST /s2s/v2.0/file/ai-studio](https://docs.perfectcorp.com/reference/ai_studio_generator/v3.0/paths/~1s2s~1v2.0~1file~1ai-studio/post.md): To upload a new file, you'll first need to use the File API. It will give you a URL – use that URL to upload your file. Once the upload is finished, you can use the file_id from the same response to start using our AI features.

### List predefined templates.

 - [GET /s2s/v2.0/task/template/ai-studio](https://docs.perfectcorp.com/reference/ai_studio_generator/v3.0/paths/~1s2s~1v2.0~1task~1template~1ai-studio/get.md)

### Run an AI Studio task.

 - [POST /s2s/v2.0/task/ai-studio](https://docs.perfectcorp.com/reference/ai_studio_generator/v3.0/paths/~1s2s~1v2.0~1task~1ai-studio/post.md): Please refer to the polling guide for checking task status. Requires a source image, template ID, and output count configuration.

### Check the status of the AI Studio task.

 - [GET /s2s/v2.0/task/ai-studio/{task_id}](https://docs.perfectcorp.com/reference/ai_studio_generator/v3.0/paths/~1s2s~1v2.0~1task~1ai-studio~1%7Btask_id%7D/get.md)

